Bitcoin Forum
November 23, 2017, 07:30:02 PM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 [18] 19 20 »  All
  Print  
Author Topic: CGminer v3.8.5 on Broadcom based DD-WRT / OpenWRT  (Read 76189 times)
OtaconEmmerich
Full Member
***
Offline Offline

Activity: 213



View Profile
October 22, 2013, 11:20:05 AM
 #341

ARGH! This is the 5th time or so I've gotten a Seg fault or LibUSB I/O error.  Cry It seems to happen almost every 24-30 hours or so. I wonder if this is an issue in 3.6.1? I hope updating to 3.6.3 fixes it, I was waiting for another update but..Maybe I can make a scheduled script to restart it every 20 hours if it still shows up..What would be the best way to do that?
1511465402
Hero Member
*
Offline Offline

Posts: 1511465402

View Profile Personal Message (Offline)

Ignore
1511465402
Reply with quote  #2

1511465402
Report to moderator
1511465402
Hero Member
*
Offline Offline

Posts: 1511465402

View Profile Personal Message (Offline)

Ignore
1511465402
Reply with quote  #2

1511465402
Report to moderator
1511465402
Hero Member
*
Offline Offline

Posts: 1511465402

View Profile Personal Message (Offline)

Ignore
1511465402
Reply with quote  #2

1511465402
Report to moderator
Join ICO Now A blockchain platform for effective freelancing
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1511465402
Hero Member
*
Offline Offline

Posts: 1511465402

View Profile Personal Message (Offline)

Ignore
1511465402
Reply with quote  #2

1511465402
Report to moderator
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
October 22, 2013, 09:13:28 PM
 #342

Cron can do that, you'll have to google it though.

Try 3.6.3, may work better. I'm not going to release 3.6.4, the changes I don't think will much affect this build.
3KyNoX
Member
**
Offline Offline

Activity: 64


View Profile
October 23, 2013, 04:23:31 PM
 #343

Is there a way to get cgminer working on Atheros based router (TPLINK WR1043ND) that cannot use 'service' command.

Got DD-WRT installed with Optware (Optware trick for Atheros comes from http://www.dd-wrt.com/phpBB2/viewtopic.php?t=86912&postdays=0&postorder=asc&start=0 that permit to use 'opkg' instead of 'service' command).

Tried with 'opkg' :

Code:
root@BNT /tmp $ opkg install cgminer_3.6.3_mipsel.ipk
Unknown package 'cgminer'.
Collected errors:
 * pkg_hash_fetch_best_installation_candidate: Packages for cgminer found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package cgminer.

ipkg returns nothing :

Code:
root@BNT /tmp $ ipkg install cgminer_3.6.3_mipsel.ipk
ERROR: File not found: //usr/local/lib/ipkg/lists/whiterussian
       You probably want to run `ipkg update'
ERROR: File not found: //usr/local/lib/ipkg/lists/non-free
       You probably want to run `ipkg update'
ERROR: File not found: //usr/local/lib/ipkg/lists/backports
       You probably want to run `ipkg update'
/bin/ipkg: line 1184: sort: not found
root@BNT /tmp $

The error returned with ipkg comes from the optware atheros trick and doesn't matter.

Thanks for help.

Donate : 1MmSvVtcZMLtCbk6RcEXRei91K8VrgPxoC
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
October 23, 2013, 04:53:11 PM
 #344

Is there a way to get cgminer working on Atheros based router (TPLINK WR1043ND) that cannot use 'service' command.

Got DD-WRT installed with Optware (Optware trick for Atheros comes from http://www.dd-wrt.com/phpBB2/viewtopic.php?t=86912&postdays=0&postorder=asc&start=0 that permit to use 'opkg' instead of 'service' command).

Tried with 'opkg' :

root@BNT /tmp $ opkg install cgminer_3.6.3_mipsel.ipk
Unknown package 'cgminer'.
Collected errors:
 * pkg_hash_fetch_best_installation_candidate: Packages for cgminer found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package cgminer.


There's your problem.

If I put a lot of effort in, I probably could get it to compile for atheros... but then I couldn't test it in any way.
3KyNoX
Member
**
Offline Offline

Activity: 64


View Profile
October 23, 2013, 06:48:51 PM
 #345

Thanks for your reply.

I could test it, and help you in any ways. I'm compiling things since a long time using gcc on linux, but can't find your method for cgminer.

Anyway it could add support for Atheros peoples. I'm ready for testing purpose.

Donate : 1MmSvVtcZMLtCbk6RcEXRei91K8VrgPxoC
OtaconEmmerich
Full Member
***
Offline Offline

Activity: 213



View Profile
October 23, 2013, 08:14:51 PM
 #346

Yet another Seg fault  Angry
How can I check to see what's causing these? At least this time around I didn't have to reboot the router.
-ck
Moderator
Legendary
*
Offline Offline

Activity: 2352


Ruu \o/


View Profile WWW
October 23, 2013, 08:41:47 PM
 #347

I've tried to make the current git master compile against the system libusb optionally now with the --with-system-libusb option.

Primary developer/maintainer for cgminer and ckpool/ckproxy.
ZERO FEE Pooled mining at ckpool.org 1% Fee Solo mining at solo.ckpool.org
-ck
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
October 23, 2013, 08:42:16 PM
 #348

Mine's been up for over 6 days now with no issue.

I could compile a debug version for you, which you'll have to run with gdb, to try can catch the error.

There's a 'low memory' flag you could try adding to cgminer.sh '--lowmem' might help?
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
October 23, 2013, 08:42:56 PM
 #349

I've tried to make the current git master compile against the system libusb optionally now with the --with-system-libusb option.

Nice, that's very useful, thanks.
OtaconEmmerich
Full Member
***
Offline Offline

Activity: 213



View Profile
October 24, 2013, 01:01:01 AM
 #350

I've tried to make the current git master compile against the system libusb optionally now with the --with-system-libusb option.
That does sound very useful.
Mine's been up for over 6 days now with no issue.

I could compile a debug version for you, which you'll have to run with gdb, to try can catch the error.

There's a 'low memory' flag you could try adding to cgminer.sh '--lowmem' might help?
I'll try running with that flag next time, I can't get cgminer running as a service FYI. Every time It crashes I have to kill the screen instance if it doesn't default back to a prompt and retype the whole damned line. I wouldn't mind running a debug verison if it will help figure out what is causing this bug.
nitrox
Member
**
Offline Offline

Activity: 118


tester


View Profile
October 26, 2013, 07:11:47 PM
 #351

how to add patch for HEX16A in cgminer for openwrt from this post
The patch for cgminer is available for download from the technobit's web page link

nitrox
Member
**
Offline Offline

Activity: 118


tester


View Profile
October 27, 2013, 07:29:38 PM
 #352

come on anyone ?

P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
October 27, 2013, 08:49:38 PM
 #353

come on anyone ?

Ask Con. This isn't the place for that.
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
November 05, 2013, 07:06:40 PM
 #354

Upped to 3.7.2

https://www.dropbox.com/s/upwnn8hy2acssm9/cgminer_3.7.2_mipsel.ipk
OtaconEmmerich
Full Member
***
Offline Offline

Activity: 213



View Profile
November 07, 2013, 08:15:45 AM
 #355

Had an error installing the new update.
Code:
Upgrading cgminer on /opt/ from 3.6.3 to 3.7.2...
sh: /opt/ipkg-rIrXPj/cgminer-d2hl3D/preinst: not found
preinst script returned status 127
An error ocurred, return value: 1.
Collected errors:
Aborting installation of cgminer
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
November 15, 2013, 06:25:07 PM
 #356

Upped to 3.8.1

https://www.dropbox.com/s/i8eze451k2obtgc/cgminer_3.8.1_mipsel.ipk

I've left off the pre/post inst scripts so it works on asuswrt.
OtaconEmmerich
Full Member
***
Offline Offline

Activity: 213



View Profile
November 18, 2013, 07:10:47 AM
 #357

Spits out a bunch of errors out for me.
Code:
[2013-11-17 23:00:38] AMU 0 SendWork usb write err:(-12) LIBUSB_ERROR_NOT_SUPPORTED
along with this after it finishes spitting out the errors.
Code:
[2013-11-17 22:51:49] Started cgminer 3.8.1
modprobe: module i2c-dev not found in modules.dep
 [2013-11-17 22:51:51] BlackArrowBitFuryGPIO failed to modprobe i2c-dev (256) - you need to be root?
 [2013-11-17 22:51:51] No devices detected!
 [2013-11-17 22:51:51] Waiting for USB hotplug devices or press q to quit       
 [2013-11-17 22:51:51] Probing for an alive pool
 [2013-11-17 22:51:52] Pool 0 difficulty changed to 2
 [2013-11-17 22:51:53] Network diff set to 609M
(5s):0.000 (avg):0.000h/s | A:0  R:0  HW:0  WU:0.0/m
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
November 23, 2013, 07:27:24 PM
 #358

Upped to 3.8.3:

https://www.dropbox.com/s/j5zxk6bwovp7t50/cgminer_3.8.3_mipsel.ipk

Another 'Rpi only' device was added in the last version which I shouldn't have enabled. Removed that now. Can't say if there's be no AMU errors though.
OtaconEmmerich
Full Member
***
Offline Offline

Activity: 213



View Profile
December 09, 2013, 06:04:13 PM
 #359

Boo  Angry
Same error as last time. LIBUSB_ERROR_NOT_SUPPORTED  Angry
Back to 3.6.1 again.
P_Shep
Legendary
*
Offline Offline

Activity: 1120


View Profile WWW
December 09, 2013, 06:45:35 PM
 #360

Yeah, seems 3.6.3 is the last one which works. It's the one I've left running since I haven't had any problems and needed to upgrade.
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 [18] 19 20 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!